package com.qmth.eds.api;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.service.ExamSemesterService;
import com.qmth.eds.util.Result;
import com.qmth.eds.util.ResultUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/exam_semester")
public class ExamSemesterController {

    @Resource
    private ExamSemesterService examSemesterService;

    /**
     * 查询
     *
     * @param schoolId 学校ID
     */
    @ApiOperation(value = "查询")
    @PostMapping("/list")
    public Result list(@RequestParam(value = "schoolId", required = false) Long schoolId) {
        return ResultUtil.ok(examSemesterService.listBySchoolId(schoolId));
    }

}
